TypoScript Reference (TSref) - Task # 34297

Status: Closed Priority: Should have
Author: Steffen Ritter Category:

Created: 2012-02-26 Assigned To: Chris topher
Updated: 2012-04-23 Due date:

Subiject: Update references to $TYPO3_CONF_VARS['BE'|['forceCharset']

Description

some TS options like config.renderCharset and config.metaCharset refer to the option forceCharset in install tool or point out
is0-8859-1

Related issues:

related to Core - Bug # 34092: Remove all references to forceCharset setting Resolved 2012-02-19 2012-02-19
related to Core - Task # 34094: Change fallbacks to iso-8859-1 to utf-8 Resolved 2012-02-20 2012-02-20
History

#1 - 2012-02-29 14:49 - Chris topher
- Target version set to 4.7.0

#2 - 2012-03-26 21:51 - Chris topher
- Assigned To set to Chris topher

Related to #34092 and #34094.
Summary of the effect of these changes:

- If $TYPO3_CONF_VARS['BE"['forceCharset'] is set to the value "utf-8", the user should just remove this line from his localconf.php.

- All values other than "utf-8" will prevent TYPO3 from running and will trigger an error. If another value is used, the user should proceed to the
Update Wizard in the TYPOS3 Install Tool to update his configuration. Since the backend and the database will communicate "thinking" that they use the
charset UTF-8, he must make sure that they really do. Otherwise he will create a charset mix in his database, which will be hard to fix later. Our Wiki
page on UTF-8 conversion has more information on how to fix an affected environment accordingly: http://wiki.typo3.org/UTF-8 support

And the charset fallbacks have been changed from iso-8859-1 to utf-8, e.g. for "notification_email_charset". | will include this here as well.

#3 - 2012-03-26 22:40 - Chris topher
- Subject changed from Remove references to forceCharset to Update references to $TYPO3_CONF_VARS['BE'|['forceCharset’]
#4 - 2012-03-26 23:17 - Chris topher

- Status changed from New to Resolved
- % Done changed from 0 to 100

Committed in r1170.

#5 - 2012-04-23 20:46 - Chris topher
- Status changed from Resolved to Closed
